- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# QWidgetData Class Reference

Search for all occurrences

## Detailed Description

Definition at line 104 of file qwidget.h.

`#include <qwidget.h>`

List of all members.

## Public Attributes
WId | winid
uint | widget_attributes
Qt::WindowFlags | window_flags
uint | window_state: 4
uint | focus_policy: 4
uint | sizehint_forced:1
uint | is_closing:1
uint | in_show: 1
uint | in_set_window_state: 1
uint | fstrut_dirty: 1
uint | context_menu_policy: 3
uint | window_modality: 2
uint | in_destructor: 1
uint | unused: 13
QRect | crect
QPalette | pal
QFont | fnt
QRect | wrect

## Member Data Documentation

WId winid

Search for all occurrences

Definition at line 107 of file qwidget.h.

uint widget_attributes

Search for all occurrences

Definition at line 108 of file qwidget.h.

Qt::WindowFlags window_flags

Search for all occurrences

Definition at line 109 of file qwidget.h.

uint window_state

Search for all occurrences

Definition at line 110 of file qwidget.h.

uint focus_policy

Search for all occurrences

Definition at line 111 of file qwidget.h.

uint sizehint_forced

Search for all occurrences

Definition at line 112 of file qwidget.h.

uint is_closing

Search for all occurrences

Definition at line 113 of file qwidget.h.

uint in_show

Search for all occurrences

Definition at line 114 of file qwidget.h.

uint in_set_window_state

Search for all occurrences

Definition at line 115 of file qwidget.h.

uint fstrut_dirty `[mutable]`

Search for all occurrences

Definition at line 116 of file qwidget.h.

uint context_menu_policy

Search for all occurrences

Definition at line 117 of file qwidget.h.

uint window_modality

Search for all occurrences

Definition at line 118 of file qwidget.h.

uint in_destructor

Search for all occurrences

Definition at line 119 of file qwidget.h.

uint unused

Search for all occurrences

Definition at line 120 of file qwidget.h.

QRect crect

Search for all occurrences

Definition at line 121 of file qwidget.h.

QPalette pal `[mutable]`

Search for all occurrences

Definition at line 122 of file qwidget.h.

QFont fnt

Search for all occurrences

Definition at line 123 of file qwidget.h.

QRect wrect

Search for all occurrences

Definition at line 135 of file qwidget.h.

The documentation for this class was generated from the following file:

- QtGui/qwidget.h

QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData
QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData QWidgetData